package es.uv.saic.domain;

import java.math.BigInteger;
import java.util.Date;

public class InstanciaTransfer {

	private BigInteger idInstancia;
	private Integer idProces;
	private String nomProces;
	private String titolCas;
	private String titolVal;
	private String descripcioCas;
	private String descripcioVal;
	private String centreCas;
	private String centreVal;
	private String titulacioCas;
	private String titulacioVal;
	private Integer ruct;
	private String estat;
	private Integer cursAvaluat;
	private Integer cursActivacio;
	private String nomTascaActivaCas;
	private String nomTascaActivaVal;
	private String descTascaActivaCas;
	private String descTascaActivaVal;
	private Date dataLimTascaActiva;
	private Date dataTascaActiva;
	private Integer idTascapActiva;
	private boolean tascaActivaExpired;
	private boolean tascaActivaAssignedToUser;	

	public BigInteger getIdInstancia() {
		return idInstancia;
	}
	public void setIdInstancia(BigInteger idInstancia) {
		this.idInstancia = idInstancia;
	}
	public Integer getIdProces() {
		return idProces;
	}
	public void setIdProces(Integer idProces) {
		this.idProces = idProces;
	}
	public String getNomProces() {
		return nomProces;
	}
	public void setNomProces(String nomProces) {
		this.nomProces = nomProces;
	}
	public String getTitolCas() {
		return titolCas;
	}
	public void setTitolCas(String titolCas) {
		this.titolCas = titolCas;
	}
	public String getTitolVal() {
		return titolVal;
	}
	public void setTitolVal(String titolVal) {
		this.titolVal = titolVal;
	}
	public String getDescripcioCas() {
		return descripcioCas;
	}
	public void setDescripcioCas(String descripcioCas) {
		this.descripcioCas = descripcioCas;
	}
	public String getDescripcioVal() {
		return descripcioVal;
	}
	public void setDescripcioVal(String descripcioVal) {
		this.descripcioVal = descripcioVal;
	}
	public String getCentreCas() {
		return centreCas;
	}
	public void setCentreCas(String centreCas) {
		this.centreCas = centreCas;
	}
	public String getCentreVal() {
		return centreVal;
	}
	public void setCentreVal(String centreVal) {
		this.centreVal = centreVal;
	}
	public String getTitulacioCas() {
		return titulacioCas;
	}
	public void setTitulacioCas(String titulacioCas) {
		this.titulacioCas = titulacioCas;
	}
	public String getTitulacioVal() {
		return titulacioVal;
	}
	public void setTitulacioVal(String titulacioVal) {
		this.titulacioVal = titulacioVal;
	}
	public Integer getRuct() {
		return ruct;
	}
	public void setRuct(Integer ruct) {
		this.ruct = ruct;
	}
	public String getEstat() {
		return estat;
	}
	public void setEstat(String estat) {
		this.estat = estat;
	}
	public Integer getCursAvaluat() {
		return cursAvaluat;
	}
	public void setCursAvaluat(Integer cursAvaluat) {
		this.cursAvaluat = cursAvaluat;
	}
	public Integer getCursActivacio() {
		return cursActivacio;
	}
	public void setCursActivacio(Integer cursActivacio) {
		this.cursActivacio = cursActivacio;
	}
	public String getNomTascaActivaCas() {
		return nomTascaActivaCas;
	}
	public void setNomTascaActivaCas(String nomTascaActiva) {
		this.nomTascaActivaCas = nomTascaActiva;
	}
	public Date getDataTascaActiva() {
		return dataTascaActiva;
	}
	public void setDataTascaActiva(Date dataTascaActiva) {
		this.dataTascaActiva = dataTascaActiva;
	}
	public Date getDataLimTascaActiva() {
		return dataLimTascaActiva;
	}
	public void setDataLimTascaActiva(Date dataLimTascaActiva) {
		this.dataLimTascaActiva = dataLimTascaActiva;
	}
	public String getNomTascaActivaVal() {
		return nomTascaActivaVal;
	}
	public void setNomTascaActivaVal(String nomTascaActivaVal) {
		this.nomTascaActivaVal = nomTascaActivaVal;
	}
	public String getDescTascaActivaCas() {
		return descTascaActivaCas;
	}
	public void setDescTascaActivaCas(String descTascaActivaCas) {
		this.descTascaActivaCas = descTascaActivaCas;
	}
	public String getDescTascaActivaVal() {
		return descTascaActivaVal;
	}
	public void setDescTascaActivaVal(String descTascaActivaVal) {
		this.descTascaActivaVal = descTascaActivaVal;
	}
	public Integer getIdTascapActiva() {
		return idTascapActiva;
	}
	public void setIdTascapActiva(Integer idTascapActiva) {
		this.idTascapActiva = idTascapActiva;
	}
	public boolean getTascaActivaExpired() {
		return tascaActivaExpired;
	}
	public void setTascaActivaExpired(boolean expired) {
		this.tascaActivaExpired = expired;
	}
	public boolean getTascaActivaAssignedToUser() {
		return tascaActivaAssignedToUser;
	}
	public void setTascaActivaAssignedToUser(boolean tascaActivaAssignedToUser) {
		this.tascaActivaAssignedToUser = tascaActivaAssignedToUser;
	}

}
